// some of these were modified from Q3A files
// you may use these shaders for your own purposes
// but not the associated texture files!
//
// by fourdee for hostage rescue map



textures/vehicles/light_red_lighted
{
	surfaceparm nomarks
	surfaceparm nolightmap

	qer_editorimage textures/vehicles/light_red_lit.tga

	q3map_surfacelight 10000
	{
		map textures/vehicles/light_red_lit.tga
	}
}

textures/vehicles/light_round_lit
{
	surfaceparm nomarks
	surfaceparm nolightmap

	qer_editorimage textures/vehicles/light_round.tga

	q3map_surfacelight 15000
	{
		map textures/vehicles/light_round.tga
	}
}

textures/vehicles/light_orange_lit
{
	surfaceparm nomarks
	surfaceparm nolightmap

	qer_editorimage textures/vehicles/light_orange_lit.tga

	q3map_surfacelight 10000
	{
		map textures/vehicles/light_orange_lit.tga
	}
}

textures/vehicles/glare
{
	deformVertexes autoSprite2
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap

	qer_editorimage textures/vehicles/glare.tga

        cull none

	{
		clampmap textures/vehicles/glare.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/vehicles/corona
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap

	qer_editorimage textures/vehicles/corona.tga

        cull none

	{
		clampmap textures/vehicles/corona.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/vehicles/corona_orange
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap

	qer_editorimage textures/vehicles/corona_orange.tga

        cull none

	{
		clampmap textures/vehicles/corona_orange.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/vehicles/corona_sodium
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap

	qer_editorimage textures/vehicles/corona_sodium.tga

        cull none

	{
		clampmap textures/vehicles/corona_sodium.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/vehicles/corona_red
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap

	qer_editorimage textures/vehicles/corona_red.tga

        cull none

	{
		clampmap textures/vehicles/corona_red.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/vehicles/skylight
{
        qer_editorimage textures/vehicles/blueglass.tga
	//surfaceparm nolightmap
        surfaceparm trans	
	cull none
	qer_trans 	0.5
     
        {
                map textures/vehicles/blueglass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		//depthWrite
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/vehicles/blueglass
{
        qer_editorimage textures/vehicles/blueglass.tga
	//surfaceparm nolightmap
        surfaceparm trans	
	cull none
	qer_trans 	0.5
     
        {
                map textures/vehicles/blueglass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		//depthWrite
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/vehicles/shiny_steel
{
	qer_editorimage textures/base_wall/shiny3.tga
	surfaceparm metalsteps
        //surfaceparm trans	
	//cull none
	//qer_trans 	0.5
     
	{
		map textures/vehicles/steel.jpg
		tcMod scale 0.5 0.5		
		rgbGen identity
	}
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/vehicles/glass
{
	qer_editorimage textures/base_wall/shiny3.tga
        surfaceparm trans	
	cull none
	qer_trans 	0.5
     
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/vehicles/glassback
{
	qer_editorimage textures/base_wall/shiny3.tga
        surfaceparm nodraw
//	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks	
	qer_trans 	0.25
     
}

textures/vehicles/greenglass
{
	qer_editorimage textures/base_wall/shiny3.tga
        surfaceparm trans	
//	cull none
	qer_trans 	0.25
     
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}